### Constructor

# GimpUi IntStore new

since: 2.2

#### Declaration [src]

    GtkListStore*
    gimp_int_store_new (
      const gchar* first_label,
      gint first_value,
      ...
    )

#### Description [src]

Creates a `GtkListStore` with a number of useful columns. `GimpIntStore` is especially useful if the items you want to store are identified using an integer value.

If you need to construct an empty `GimpIntStore`, it’s best to use g_object_new (GIMP_TYPE_INT_STORE, NULL).

Available since: 2.2

This constructor is not directly available to language bindings.

The implementation of this constructor is provided by `()` in language bindings.

#### Parameters

`first_label`

  Type: `const gchar*`

  The label of the first item.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`first_value`

  Type: `gint`

  The value of the first item.

`...`

  Type: ``

  A `NULL` terminated list of more label, value pairs.

#### Return value

Type: `GtkListStore`

A new `GimpIntStore`.

The caller of the function takes ownership of the data, and is responsible for freeing it.